#include <print>
#include <string>

#include "tablei_01.h"

using namespace std::string_literals;
// main() Funktion
int main()
{
    // Drehschalter mit Default-Datentyp definieren
    std::print("Rotary -> ");
    Rotary<signed char> shortRot;
    shortRot.ShowProperties();
    std::print("Inkr. Rotary -> ");
    shortRot.Increment();
    shortRot.ShowProperties();

    // Text fuer Text-Drehschalter
    std::string textList[] {"OFF"s,"LOW"s,"HIGH"s};
    // Text-Drehschalter definieren
    TextRotary textRot(textList);
    std::print("\nText-Rotary -> ");
    textRot.ShowProperties();
    std::print("Inkr. Text-Rotary -> ");
    textRot.Increment();
    textRot.ShowProperties();
    std::print("Dekr. Text-Rotary -> ");
    textRot.Decrement();
    textRot.ShowProperties();
    std::print("Dekr. Text-Rotary -> ");
    textRot.Decrement();
    textRot.ShowProperties();
}
